## org.eclipse.datatools.enablement.sybase.ase.virtual
Class NodeFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.VirtualNodeServiceFactory
          org.eclipse.datatools.enablement.sybase.ase.virtual.NodeFactory

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.services.IVirtualNodeServiceFactory

    public class NodeFactory

extends org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.VirtualNodeServiceFactory
implements IVirtualNodeServiceFactory

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.VirtualNodeServiceFactory
`INSTANCE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ase.providers.IVirtualNodeServiceFactory
`INSTANCE`

Constructor Summary
`NodeFactory()`

Method Summary
`ICatalogsFolder` `makeCatalogsFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`
`IDataTypesFolder` `makeDataTypesFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`
`IWebServicesFolder` `makeWebServicesFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.VirtualNodeServiceFactory
`makeAuthorizationIdNode, makeCatalogNode, makeColumnNode, makeConstraintNode, makeDependencyNode, makeGroupNode, makeIndexNode, makeRoleNode, makeSchemaNode, makeSequenceNode, makeStoredProcedureNode, makeTableNode, makeTriggerNode, makeUDFNode, makeUDTNode, makeUserNode, makeViewNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeFactory

    public NodeFactory()

Method Detail

### makeWebServicesFolder

    public IWebServicesFolder makeWebServicesFolder(java.lang.String name,
                                                    java.lang.String displayName,
                                                    java.lang.Object parent)

### makeDataTypesFolder

    public IDataTypesFolder makeDataTypesFolder(java.lang.String name,
                                                java.lang.String displayName,
                                                java.lang.Object parent)

### makeCatalogsFolder

    public ICatalogsFolder makeCatalogsFolder(java.lang.String name,
                                              java.lang.String displayName,
                                              java.lang.Object parent)